TauP_Table (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_Table

Package edu.sc.seis.TauP

# Class TauP_Table

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Time
edu.sc.seis.TauP.TauP_Table

    public class TauP_Table
    extends TauP_Time

Creates a table of travel times for a phase. Only uses the first arrival at any distance.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected double[]` | `depths` |
  `protected double[]` | `distances` |
  `static int` | `GENERIC` |
  `protected java.lang.String` | `headerFile` |
  `static int` | `LOCSAT` |
  `protected int` | `outputType` |

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Time

  `arrivals, azimuth, backAzimuth, degrees, depth, distKilometers, eventLat, eventLon, GUI, modelName, onlyPrintRayP, onlyPrintTime, phaseNames, receiverDepth, relativeArrival, relativePhaseName, stationLat, stationLon, takeoffAngle, tMod, tModDepth`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauP_Table()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `genericTable​(java.io.PrintWriter out)` |
  `java.lang.String` | `getOutFileExtension()` |
  `void` | `init()` | preforms intialization of the tool.
  `protected void` | `locsatTable​(java.io.PrintWriter out)` |
  `static void` | `main​(java.lang.String[] args)` | ToolRun.main should be used instead.
  `java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] args)` |
  `void` | `printUsage()` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Time

  `appendPhaseName, appendPhaseName, calcTakeoff, calcTime, calculate, clearArrivals, clearPhaseNames, clearPhases, depthCorrect, depthCorrect, destroy, getArrival, getArrivals, getDisconDepths, getNumArrivals, getNumPhases, getPhaseNames, getPhaseNames, getPhaseNameString, getReceiverDepth, getSeismicPhases, getSourceDepth, getTauModel, getTauModelDepthCorrected, getTauModelName, linearInterp, loadTauModel, parseDegreeList, parsePhaseList, printHelp, printResult, printResultJSON, printResultText, printStdUsage, printStdUsageHead, readPhaseFile, readTauModel, recalcPhases, setPhaseNames, setPhaseNames, setReceiverDepth, setSourceDepth, setTauModel, sortArrivals`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printScriptBeginning, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GENERIC

    public static final int GENERIC
    See Also:
      Constant Field Values

  - ### LOCSAT

    public static final int LOCSAT
    See Also:
      Constant Field Values

  - ### outputType

    protected int outputType

  - ### headerFile

    protected java.lang.String headerFile

  - ### depths

    protected double[] depths

  - ### distances

    protected double[] distances

- ## Constructor Details

  - ### TauP_Table

    public TauP_Table() throws TauModelException
    Throws:
      `TauModelException`

- ## Method Details

  - ### init

    public void init() throws TauPException
    Description copied from class: `TauP_Time`
    preforms intialization of the tool. Properties are queried for the the default model to load, source depth to use, phases to use, etc. Note that because of the IO inherent in these operations, this method is not appropriate for Applets. Applets should load TauModels themselves and use the setTauModel(TauModel) method.
    Overrides:
      `init` in class `TauP_Time`
    Throws:
      `TauPException`

  - ### start

    public void start() throws TauModelException, TauPException, java.io.IOException
    Overrides:
      `start` in class `TauP_Time`
    Throws:
      `TauModelException`
      `TauPException`
      `java.io.IOException`

  - ### getOutFileExtension

    public java.lang.String getOutFileExtension()
    Overrides:
      `getOutFileExtension` in class `TauP_Tool`

  - ### genericTable

    protected void genericTable​(java.io.PrintWriter out) throws TauModelException, java.io.IOException
    Throws:
      `TauModelException`
      `java.io.IOException`

  - ### locsatTable

    protected void locsatTable​(java.io.PrintWriter out) throws TauModelException, java.io.IOException
    Throws:
      `TauModelException`
      `java.io.IOException`

  - ### printUsage

    public void printUsage()
    Overrides:
      `printUsage` in class `TauP_Time`

  - ### parseCmdLineArgs

    public java.lang.String[] parseCmdLineArgs​(java.lang.String[] args) throws java.io.IOException
    Overrides:
      `parseCmdLineArgs` in class `TauP_Time`
    Throws:
      `java.io.IOException`

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    ToolRun.main should be used instead.
    Throws:
      `java.io.IOException`